package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/StringTurnToListAction.class */
public class StringTurnToListAction extends LifeJDBCAction {
    private static final String EXQUTE_SQL = "INSERT INTO FSP_REQ_FINANCE_REL (RFR_REQNO,RFR_FINANCEID,RFR_USERNO) VALUES (?,?,?)";

    /* JADX WARN: Finally extract failed */
    public String execute(Context context) throws GENEException {
        String stringfield = (String) context.getDataValue("selectBranchValue");
        String financeReqNo = (String) context.getDataValue("financeReqNo");
        String[] stringfieldArray = stringfield.split("\\|");
        PreparedStatement ps = null;
        try {
            try {
                try {
                    Connection connection = LifeDBAccess.getConnection(getDataSource());
                    for (int i = 0; i < stringfieldArray.length; i++) {
                        if (!"".equals(stringfieldArray[i])) {
                            PreparedStatement prepareStatement = connection.prepareStatement(EXQUTE_SQL);
                            ps = prepareStatement;
                            prepareStatement.setString(1, financeReqNo);
                            if (stringfieldArray[i].contains("_")) {
                                String financeid = stringfieldArray[i].split("_")[0];
                                String userno = stringfieldArray[i].split("_")[1];
                                ps.setString(2, financeid);
                                ps.setString(3, userno);
                            } else {
                                ps.setString(2, stringfieldArray[i]);
                                ps.setString(3, "");
                            }
                            ps.executeUpdate();
                        }
                    }
                    LifeDBAccess.cleanResources(ps);
                    LifeDBAccess.releaseConnection(getDataSource(), connection);
                    return "1";
                } catch (Throwable th) {
                    LifeDBAccess.releaseConnection(getDataSource(), (Connection) null);
                    throw th;
                }
            } catch (SQLException se) {
                TranFailException tfe = new TranFailException(se);
                Trace.logError("LOAF", se.getMessage(), se);
                context.put("GENEException", tfe);
                throw tfe;
            }
        } catch (Throwable th2) {
            LifeDBAccess.cleanResources((PreparedStatement) null);
            throw th2;
        }
    }
}
